Summary: A DNS (Domain Name System) server.
Name: bind
Version: 8.2.2_P5
Release: C2
Copyright: distributable
Group: System Environment/Daemons
Source0: ftp://ftp.isc.org/isc/bind/src/%{version}/bind-src.tar.gz
Source1: ftp://ftp.isc.org/isc/bind/src/%{version}/bind-doc.tar.gz
Source2: ftp://ftp.isc.org/isc/bind/src/%{version}/bind-contrib.tar.gz
Source3: named.init
Patch0: makefile.patch
Buildroot: /var/tmp/%{name}-root
URL: http://www.isc.org/bind.html
Prereq: /sbin/chkconfig

%description
(Domain Name System) protocols. BIND includes a DNS server (named),
which resolves host names to IP addresses, and a resolver library
(routines for applications to use when interfacing with DNS).  A DNS
server allows clients to name resources or objects and share the
information with other network machines.  The named DNS server can be
used on workstations as a caching name server, but is generally only
needed on one machine for an entire network.  Note that the
configuration files for making BIND act as a simple caching nameserver
are included in the caching-nameserver package.

Install the bind package if you need a DNS server for your network.  If
you want bind to act a caching name server, you will also need to install
the caching-nameserver package.

%package utils
Summary: DNS utilities:  host, dig, dnsquery, and nslookup.
Group: Applications/System

%description utils
Bind-utils contains a collection of utilities for querying DNS (Domain
Name Service) name servers to find out information about Internet hosts.
These tools will provide you with the IP addresses for given host names,
as well as other information about registered domains and network
addresses.

You should install bind-utils if you need to get information from DNS name
servers.

%package devel
Summary: Include files and libraries needed for bind DNS development.
Group: Development/Libraries

%description devel
The bind-devel package contains all the include files and the
library required for DNS (Domain Name Service) development for
BIND versions 8.x.x.

You should install bind-devel if you want to develop bind DNS
applications. If you install bind-devel, you'll also need to install
bind.                

%prep
%setup -q -c -a 1 -a 2

%patch0 -p0

%build
# Workaround for egcs -m486 bug.. (Redhat fix)
%ifarch i386
RPM_OPT_FLAGS="`echo $RPM_OPT_FLAGS | sed -e 's|-m486||'`"
%endif     

make -C src
make clean all -C src SUBDIRS=../doc/man


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}/usr/{bin,lib,sbin}
mkdir -p ${RPM_BUILD_ROOT}/usr/man/{man1,man3,man5,man7,man8}
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/{init,rc0,rc1,rc2,rc3,rc4,rc5,rc6}.d

make DESTDIR=$RPM_BUILD_ROOT install -C src
make DESTDIR=$RPM_BUILD_ROOT INSTALL=install install -C src SUBDIRS=../doc/man

# No needed, initscripts takes care of these
#install -m 755 $RPM_SOURCE_DIR/named.init ${RPM_BUILD_ROOT}/etc/rc.d/init.d/named
#ln -sf ../init.d/named ${RPM_BUILD_ROOT}/etc/rc.d/rc0.d/K45named
#ln -sf ../init.d/named ${RPM_BUILD_ROOT}/etc/rc.d/rc1.d/K45named
#ln -sf ../init.d/named ${RPM_BUILD_ROOT}/etc/rc.d/rc2.d/K45named
#ln -sf ../init.d/named ${RPM_BUILD_ROOT}/etc/rc.d/rc3.d/S45named
#ln -sf ../init.d/named ${RPM_BUILD_ROOT}/etc/rc.d/rc5.d/S45named
#ln -sf ../init.d/named ${RPM_BUILD_ROOT}/etc/rc.d/rc6.d/K45named

#strip things
strip $RPM_BUILD_ROOT/usr/bin/* || :
strip $RPM_BUILD_ROOT/usr/sbin/* || :

%post
/sbin/chkconfig --add named
if [ -f /etc/named.boot -a ! -f /etc/named.conf ]; then
  if [ -x /usr/doc/bind-%{version}/named-bootconf.pl ]; then
    cat /etc/named.boot | /usr/doc/bind-%{version}/named-bootconf.pl > /etc/named.conf
    chmod 644 /etc/named.conf
  fi
fi

%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del named
fi

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc src/README src/INSTALL src/Version src/CHANGES
%doc src/TODO src/bin/named-bootconf
%doc doc/bog doc/html doc/misc doc/notes doc/rfc doc/tmac

#We don't want any config files
#%config /etc/rc.d/init.d/named
#%config(missingok) /etc/rc.d/rc0.d/K45named
#%config(missingok) /etc/rc.d/rc1.d/K45named
#%config(missingok) /etc/rc.d/rc2.d/K45named
#%config(missingok) /etc/rc.d/rc3.d/K45named
#%config(missingok) /etc/rc.d/rc4.d/K45named
#%config(missingok) /etc/rc.d/rc5.d/K45named
#%config(missingok) /etc/rc.d/rc6.d/K45named

/usr/sbin/dnskeygen
/usr/sbin/irpd
/usr/sbin/named
/usr/sbin/named-bootconf
/usr/sbin/named-xfer
/usr/sbin/ndc

/usr/man/man1/dnskeygen.1
/usr/man/man5/named.conf.5
/usr/man/man7/hostname.7
/usr/man/man8/named.8
/usr/man/man8/ndc.8
/usr/man/man8/named-bootconf.8
/usr/man/man8/named-xfer.8

%files utils
%defattr(-,root,root)
/usr/bin/addr
/usr/bin/dig
/usr/bin/dnsquery
/usr/bin/host
/usr/bin/mkservdb
/usr/bin/nslookup
/usr/bin/nsupdate
/usr/lib/nslookup.help
/usr/man/man1/dig.1
/usr/man/man1/dnsquery.1
/usr/man/man1/host.1
/usr/man/man5/irs.conf.5
/usr/man/man5/resolver.5
/usr/man/man8/nslookup.8
/usr/man/man8/nsupdate.8

%files devel
%defattr(-,root,root)
/usr/lib/bind
/usr/man/man3/getaddrinfo.3
#/usr/man/man3/getnetent.3
/usr/man/man3/hesiod.3
/usr/man/man3/inet_cidr.3
#/usr/man/man3/resolver.3
/usr/man/man3/tsig.3

%changelog
* Mon Nov 22 1999 Jeff Lovell <jlovell@cobalt.com>
- readded chkconfig for pacifica. I guess being ideal about protable
  srpms isn't going to work.  Too many differences.
- removed named.logrotate, messages are logged to /var/log/messages

* Mon Nov 15 1999 Jeff Lovell <jlovell@cobalt.com>
- new spec file based on 4libc and P3-1
- reflect changes in ISC ftp site
- removed all redhat patches, they were causing failed compiles on mips
- update for path level 5
- removed chkconfig for adding links and manually add them for portability

